Package org.jmock.core

# Class FIFOInvocationDispatcher

java.lang.Object
org.jmock.core.AbstractInvocationDispatcher
org.jmock.core.FIFOInvocationDispatcher

All Implemented Interfaces:
  `InvocationDispatcher`, `SelfDescribing`, `Verifiable`

public class FIFOInvocationDispatcher extends AbstractInvocationDispatcher

## Field Summary

### Fields inherited from class org.jmock.core.AbstractInvocationDispatcher

`defaultStub, invokables, NO_EXPECTATIONS_MESSAGE`

## Constructor Summary

Constructors
Constructor
Description
`FIFOInvocationDispatcher()`

## Method Summary

Modifier and Type
Method
Description
`protected Iterator`
`dispatchOrder(List invokablesList)`

### Methods inherited from class org.jmock.core.AbstractInvocationDispatcher

`add, clear, describeTo, dispatch, setDefaultStub, verify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FIFOInvocationDispatcher

public FIFOInvocationDispatcher()

## Method Details

### dispatchOrder

protected Iterator dispatchOrder(List invokablesList)

Specified by:
  `dispatchOrder` in class `AbstractInvocationDispatcher`